package com.landray.kmss.sys.attachment.thirdSfs.rest.controller;

import java.io.BufferedReader;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.GetMapping;
import com.landray.kmss.sys.attachment.thirdSfs.vo.ThirdSfsResponseResult;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.RequestParam;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletRequest;
import com.landray.kmss.web.annotation.RestApi;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.landray.kmss.sys.attachment.thirdSfs.rest.extend.SysAttExtendWpsCenterRestService;
import com.landray.kmss.sys.attachment.thirdSfs.rest.SysAttThirdController;

@RestController
@RequestMapping({ "/api/sys-attachment/wpsCenter" })
@RestApi(docUrl = "/sys/attachment/restservice/sysAttFoxitRestServiceHelp.jsp", name = "SysAttWpsCenterController", resourceKey = "sys-attachment:SysAttWpsCenterController.title", description = "sys-attachment:SysAttWpsCenterController.desc")
public class SysAttWpsCenterController extends SysAttThirdController<SysAttExtendWpsCenterRestService>
{
    @GetMapping({ "/v1/3rd/file/info" })
    public Object fileInfo(final HttpServletRequest request, final HttpServletResponse response, @RequestParam("_w_fileId") final String fdId) throws Exception {
        final JSONObject params = new JSONObject();
        params.put("fdId", (Object)fdId);
        params.put("_w_fdMode", (Object)request.getParameter("_w_fdMode"));
        params.put("_w_l_token", (Object)request.getParameter("_w_l_token"));
        params.put("x-wps-weboffice-token", (Object)request.getHeader("x-wps-weboffice-token"));
        params.put("_w_userid", (Object)request.getParameter("_w_userid"));
        params.put("_w_username", (Object)request.getParameter("_w_username"));
        params.put("_w_markWord", (Object)request.getParameter("_w_markWord"));
        params.put("_w_preview_pages", (Object)request.getParameter("_w_preview_pages"));
        params.put("_w_rename", (Object)request.getParameter("_w_rename"));
        params.put("_w_history", (Object)request.getParameter("_w_history"));
        params.put("_w_copy", (Object)request.getParameter("_w_copy"));
        params.put("_w_export", (Object)request.getParameter("_w_export"));
        params.put("_w_print", (Object)request.getParameter("_w_print"));
        params.put("_w_sign", (Object)request.getParameter("_w_sign"));
        params.put("curIp", (Object)request.getRemoteAddr());
        final ThirdSfsResponseResult result = ((SysAttExtendWpsCenterRestService)this.getSysAttExtendThirdRestService(request)).getFileInfo(params);
        return result.getData();
    }
    
    @PostMapping({ "/v1/3rd/user/info" })
    public Object getUserInfos(final HttpServletRequest request, final HttpServletResponse response, @RequestBody final String ids) throws Exception {
        final JSONObject params = new JSONObject();
        params.put("ids", (Object)ids);
        params.put("_w_fdMode", (Object)request.getParameter("_w_fdMode"));
        params.put("_w_l_token", (Object)request.getParameter("_w_l_token"));
        params.put("x-wps-weboffice-token", (Object)request.getHeader("x-wps-weboffice-token"));
        final ThirdSfsResponseResult result = ((SysAttExtendWpsCenterRestService)this.getSysAttExtendThirdRestService(request)).getUserInfo(params);
        return result.getData();
    }
    
    @GetMapping({ "/download" })
    public void download(final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final JSONObject params = new JSONObject();
        params.put("_w_l_token", (Object)request.getParameter("_w_l_token"));
        params.put("emptyMapping", (Object)this.emptyMapping);
        params.put("request", (Object)request);
        params.put("response", (Object)response);
        this.getSysAttStandardThirdRestService(request).download(params);
    }
    
    @PostMapping({ "/v1/3rd/file/save" })
    public Object save(final HttpServletRequest request, final HttpServletResponse response, @RequestParam("_w_userid") final String userId, @RequestParam("file") final MultipartFile file, @RequestParam("_w_fileId") final String fdId) throws Exception {
        final JSONObject params = new JSONObject();
        params.put("fdId", (Object)fdId);
        params.put("userId", (Object)userId);
        params.put("file", (Object)file);
        params.put("_w_l_token", (Object)request.getParameter("_w_l_token"));
        params.put("_w_fdMode", (Object)request.getParameter("_w_fdMode"));
        params.put("x-wps-weboffice-token", (Object)request.getHeader("x-wps-weboffice-token"));
        params.put("x-weboffice-save-type", (Object)request.getHeader("x-weboffice-save-type"));
        params.put("x-weboffice-save-version", (Object)request.getHeader("x-weboffice-save-version"));
        final ThirdSfsResponseResult result = this.getSysAttStandardThirdRestService(request).save(params);
        return result.getData();
    }
    
    @GetMapping({ "/audit/show/{controlId}/{fdModelId}" })
    public void auditShowHtml(final HttpServletRequest request, final HttpServletResponse response, @PathVariable("controlId") final String controlId, @PathVariable("fdModelId") final String fdModelId) throws Exception {
        final JSONObject params = new JSONObject();
        params.put("controlId", (Object)controlId);
        params.put("fdModelId", (Object)fdModelId);
        params.put("_w_l_token", (Object)request.getParameter("_w_l_token"));
        params.put("extendFilePath", (Object)request.getParameter("extendFilePath"));
        params.put("request", (Object)request);
        params.put("response", (Object)response);
        ((SysAttExtendWpsCenterRestService)this.getSysAttExtendThirdRestService(request)).auditShowHtml(params);
    }
    
    @PostMapping({ "/expiring" })
    public void expiring(final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final StringBuilder jb = new StringBuilder();
        String line = null;
        Throwable t = null;
        try {
            final BufferedReader reader = request.getReader();
            try {
                while ((line = reader.readLine()) != null) {
                    jb.append(line);
                }
                final JSONObject params = JSONObject.parseObject(jb.toString());
                ((SysAttExtendWpsCenterRestService)this.getSysAttExtendThirdRestService(request)).expiring(params);
            }
            finally {
                if (reader != null) {
                    reader.close();
                }
            }
        }
        finally {
            if (t == null) {
                final Throwable exception;
                t = exception;
            }
            else {
                final Throwable exception;
                if (t != exception) {
                    t.addSuppressed(exception);
                }
            }
        }
    }
    
    @PostMapping({ "/v1/3rd/onnotify" })
    public Object onnotify(final HttpServletRequest request, final HttpServletResponse response, @RequestParam(value = "cmd", required = false) final String cmd, @RequestParam(value = "body", required = false) final JSONObject requestBody) {
        final JSONObject result = new JSONObject();
        result.put("result", (Object)0);
        return result;
    }
    
    @PostMapping({ "/v1/3rd/file/view/notify" })
    public Object viewNotify(final HttpServletRequest request, final HttpServletResponse response, @RequestParam(value = "cmd", required = false) final String cmd, @RequestParam(value = "body", required = false) final JSONObject requestBody) {
        final JSONObject result = new JSONObject();
        result.put("result", (Object)0);
        return result;
    }
    
    @PostMapping({ "/v1/3rd/file/online" })
    public Object online(final HttpServletRequest request, final HttpServletResponse response, @RequestParam(value = "ids", required = false) final String[] ids) {
        final JSONObject result = new JSONObject();
        result.put("result", (Object)0);
        return result;
    }
    
    @PostMapping({ "/v1/3rd/file/history" })
    public Object history(final HttpServletRequest request, final HttpServletResponse response, @RequestParam(required = false) final String id, @RequestParam(required = false) final Integer offset, @RequestParam(required = false) final Integer count) {
        final JSONObject result = new JSONObject();
        result.put("result", (Object)0);
        return result;
    }
}
